CONVERTGLS2BIB(1)

SYNOPSIS
convertgls2bib [option]+ auxfile

DESCRIPTION
Converts a .tex file containing glossary definitions using commands like "\newglossaryentry" and "\newacronym" to a .bib file in the format required for bib2gls.

OPTIONS

--help or -h
    Display help message and exit.

--version or -v
    Display version information and exit.

--silent
    Suppress all messages except for errors.

--verbose
    Display messages.

--debug
    Display debugging messages.

--texenc name
    Set the character encoding to name for the input .tex files.

--bibenc name
    Set the character encoding to name for the output .bib files.

--ignore-sort
    Ignore the sort field (default).

--no-ignore-sort
    Don't ignore the sort field.

--ignore-type
    Omit the type field. Default if --split-on-type.

--no-ignore-type
    Don't omit the type field. Default unless --split-on-type.

--split-on-type or -t
    Split the entries into separate files according to the type field. This option automatically implements --ignore-type and --no-overwrite.

--no-split-on-type
    Don't split the entries into separate files according to the type field (default).

--ignore-category
    Omit the category field. Default if --split-on-category.

--no-ignore-category
    Don't omit the category field. Default unless --split-on-category.

--split-on-category or -t
    Split the entries into separate files according to the category field. This option automatically implements --ignore-category and --no-overwrite.

--no-split-on-category
    Don't split the entries into separate files according to the category field (default).

--ignore-fields list or -f list
    Ignore all the fields in the comma-separated list. If the list includes sort, type or category it will automatically implement the corresponding --ignore-sort, --ignore-type or --ignore--category option.

    This option isn't cumulative. An empty list will clear a previously set list but won't undo the sort, type or category ignore options.

--overwrite
    Overwrite existing .bib files. Default unless --split-on-type used.

--no-overwrite
    Don't overwrite existing .bib files. Default if --split-on-type used.

--index-conversion or -i
    Any entries that would normally be converted to @entry that don't have a description or just have the description set to "\nopostdesc" or "\glsxtrnopostpunc" will be converted to @index and the description field will be omitted.

--no-index-conversion
    Don't use @index instead of @entry if the description is empty or just "\nopostdesc" or "\glsxtrnopostpunc" (default).

--absorb-see
    Absorb "\glssee" and "\glsxtrindexseealso" into the data (default).

--no-absorb-see
    Don't absorb "\glssee" and "\glsxtrindexseealso" into the data.

--preamble-only or -p
    Only parse the document preamble.

--no-preamble-only
    Parse the entire document (default).

--space-sub value or -s value
    Substitute spaces in labels with value.

--locale lang tag
    Use the language resource files associated with the given language tag lang tag. If there isn't an appropriate file, the en (English) file will be used.

REQUIRES
Java 8 and a TeX distribution.

LICENSE
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html> This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

RECOMMENDED READING
The bib2gls manual:

        texdoc bib2gls

The glossaries-extra manual:

        texdoc glossaries-extra

The glossaries manual:

        texdoc glossaries

AUTHOR
Nicola L. C. Talbot, <http://www.dickimaw-books.com/>